/*******************************************************************************
 * NxForceFieldGeneric generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class NxForceFieldGeneric extends NxForceField
    native(ForceField)
    placeable
    hidecategories(Navigation);

enum FFG_ForceFieldCoordinates
{
    FFG_CARTESIAN,
    FFG_SPHERICAL,
    FFG_CYLINDRICAL,
    FFG_TOROIDAL,
    FFG_MAX
};

var() editinline ForceFieldShape Shape;
var export editinline ActorComponent DrawComponent;
var() float RoughExtentX;
var() float RoughExtentY;
var() float RoughExtentZ;
var() NxForceFieldGeneric.FFG_ForceFieldCoordinates Coordinates;
var() Vector Constant;
var() Vector PositionMultiplierX;
var() Vector PositionMultiplierY;
var() Vector PositionMultiplierZ;
var() Vector PositionTarget;
var() Vector VelocityMultiplierX;
var() Vector VelocityMultiplierY;
var() Vector VelocityMultiplierZ;
var() Vector VelocityTarget;
var() Vector Noise;
var() Vector FalloffLinear;
var() Vector FalloffQuadratic;
var() float TorusRadius;
var native const transient Pointer LinearKernel;

// Export UNxForceFieldGeneric::execDoInitRBPhys(FFrame&, void* const)
native function DoInitRBPhys();

defaultproperties
{
    RoughExtentX=200.0
    RoughExtentY=200.0
    RoughExtentZ=200.0
    TorusRadius=1.0
    Components(0)=none
}